"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const ramda_1 = require("ramda");
async function default_1(systemSettings, presentationPath, componentsProps, currentTheme = '', layoutOptions) {
    const blocksPath = ramda_1.pathOr('', ['path', 'blocks'], systemSettings);
    const blockManifestFilePath = ramda_1.pathOr('', ['path', 'blocksManifest'], systemSettings);
    const componentsFilename = ramda_1.pathOr('', ['path', 'componentsFilename'], systemSettings);
    const componentsDirectory = ramda_1.pathOr('', ['path', 'localComponents'], systemSettings);
    const componentsManifestFilePath = ramda_1.pathOr('', ['path', 'componentsManifest'], systemSettings);
    const blocksThemesFilename = ramda_1.pathOr('', ['path', 'blocksThemes'], systemSettings);
    const componentsThemesFilename = ramda_1.pathOr('', ['path', 'componentsThemes'], systemSettings);
    const masterTemplatePath = ramda_1.pathOr('', ['path', 'masterTemplatePath'], systemSettings);
    const blockManifestPath = path_1.resolve(presentationPath, blockManifestFilePath);
    const componentsFullPath = path_1.join(componentsDirectory, componentsFilename);
    const blocksThemesPath = path_1.resolve(presentationPath, blocksThemesFilename);
    const componentsThemesPath = path_1.resolve(presentationPath, componentsThemesFilename);
    const componentManifestPath = componentsManifestFilePath
        ? path_1.resolve(presentationPath, componentsManifestFilePath)
        : path_1.resolve(presentationPath, componentsFullPath);
    return [
        {
            include: [require.resolve('../assets/compound-manifest.js')],
            use: [
                {
                    loader: 'manifest-loader',
                    options: {
                        blocksPath,
                        presentationPath,
                        componentsProps,
                        blockManifestPath,
                        componentManifestPath,
                        blocksThemesPath,
                        componentsThemesPath,
                        masterTemplatePath,
                        currentTheme,
                        layoutOptions,
                    },
                },
            ],
        },
    ];
}
exports.default = default_1;
//# sourceMappingURL=get-manifest-loaders.js.map