"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getContentTypeLoader = void 0;
const path_1 = require("path");
const system_settings_1 = require("@ewizardjs/system-settings");
const fs_extra_1 = require("fs-extra");
function getContentTypeLoader(options) {
    return [Object.assign(Object.assign({}, options), { test: /index\.vue/, use: [
                {
                    loader: 'content-type-loader',
                },
            ] })];
}
exports.getContentTypeLoader = getContentTypeLoader;
async function default_1(source) {
    const dir = path_1.dirname(this.resourcePath);
    const exists = await fs_extra_1.pathExists(path_1.join(dir, '.ewizard/settings.json'));
    if (exists) {
        const contentType = await system_settings_1.getByPath(dir, 'content.type');
        return source.replace('export default component.exports', `
      ;if(!component.options.__componentType) component.options.__componentType = '${contentType}';;
      export default component.exports;`);
    }
    return source;
}
exports.default = default_1;
//# sourceMappingURL=content-type-loader.js.map