"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_extra_1 = require("fs-extra");
const loader_utils_1 = __importDefault(require("loader-utils"));
const semver_1 = require("semver");
const path_1 = require("path");
async function default_1(source) {
    const { presentationPath } = loader_utils_1.default.getOptions(this);
    try {
        const ewizardjsPackagePath = path_1.join(presentationPath, 'node_modules/ewizardjs/package.json');
        const ewizardjsPackage = await fs_extra_1.readJson(ewizardjsPackagePath);
        const ewizardjsVersion = ewizardjsPackage.version;
        if (semver_1.major(ewizardjsVersion) >= 5) {
            const [requireApp] = getMarkedCode(source);
            return source.replace(requireApp, '');
        }
    }
    catch (e) {
        return source;
    }
    return source;
}
exports.default = default_1;
function getMarkedCode(source) {
    const markerRE = /\/\/\smarker:start require-app.*?\/\/\smarker:end require-app/s;
    return source.match(markerRE);
}
//# sourceMappingURL=entry-common-loader.js.map