"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
const toObject = require('css-to-object');
const matchAll = require('string.prototype.matchall');
async function getStyles(filePath) {
    const normalizedVueFileContent = await utils_1.getNormalizedVueFileContent(filePath);
    const styleRe = /<style.*?>([\s\S]*?)<\/style>/g;
    const styles = [...matchAll(normalizedVueFileContent, styleRe)].reduce((acc, [, match]) => {
        return Object.assign(Object.assign({}, acc), toObject(match));
    }, {});
    return JSON.stringify(styles);
}
async function default_1(source) {
    const resourcePath = utils_1.toUnixPath(this.resourcePath);
    const styles = await getStyles(resourcePath);
    return styles ? source.replace('export default component.exports', `;component.options.styles = '${styles}';
    export default component.exports;`) : source;
}
exports.default = default_1;
//# sourceMappingURL=module-style-loader.js.map