"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isString = exports.encodeFilePath = exports.getNormalizedVueFileContent = exports.toUnixPath = exports.uniqueId = void 0;
const fs_extra_1 = require("fs-extra");
function uniqueId(length = 8, alphabet = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ') {
    let uniqueId = '';
    while (uniqueId.length < length) {
        uniqueId += alphabet.charAt(Math.floor(Math.random() * alphabet.length));
    }
    return uniqueId;
}
exports.uniqueId = uniqueId;
function toUnixPath(path) {
    return path.replace(/\\/g, '/');
}
exports.toUnixPath = toUnixPath;
async function getNormalizedVueFileContent(filePath) {
    const vueFileContent = await fs_extra_1.readFile(filePath);
    const normalizedVueFileContent = vueFileContent
        .toString()
        .replace(/\r?\n|\r/g, '')
        .replace(/>\s*</g, '><');
    return normalizedVueFileContent;
}
exports.getNormalizedVueFileContent = getNormalizedVueFileContent;
function encodeFilePath(url) {
    try {
        return decodeSpace(encodeURI(decodeURI(url)));
    }
    catch (e) {
        return decodeSpace(encodeURI(url));
    }
}
exports.encodeFilePath = encodeFilePath;
function isString(value) {
    return typeof value === 'string' || value instanceof String;
}
exports.isString = isString;
function decodeSpace(url) {
    return url.replace(/%20/g, ' ');
}
//# sourceMappingURL=utils.js.map